% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/classification.R
\name{precision}
\alias{precision}
\title{Precision}
\usage{
precision(actual, predicted, w = NULL, ...)
}
\arguments{
\item{actual}{Observed values (0 or 1).}

\item{predicted}{Predicted values (0 or 1).}

\item{w}{Optional case weights.}

\item{...}{Further arguments passed to \code{weighted_mean()}.}
}
\value{
A numeric vector of length one.
}
\description{
Calculates weighted precision,
see \url{https://en.wikipedia.org/wiki/Precision_and_recall} for the
(unweighted) version. The higher, the better.
}
\examples{
precision(c(0, 0, 1, 1), c(0, 0, 1, 1))
precision(c(1, 0, 0, 1), c(0, 0, 1, 1), w = 1:4)
}
\seealso{
\code{\link{recall}, \link{f1_score}}.
}
